Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api
Class StyleHandle

    java.lang.Object
      org.eclipse.birt.report.model.api.DesignElementHandle
          org.eclipse.birt.report.model.api.ReportElementHandle
              org.eclipse.birt.report.model.api.StyleHandle

All Implemented Interfaces:
  org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel, org.eclipse.birt.report.model.elements.interfaces.IStyleModel

Direct Known Subclasses:
  PrivateStyleHandle, SharedStyleHandle

    public abstract class StyleHandle

extends ReportElementHandle
implements org.eclipse.birt.report.model.elements.interfaces.IStyleModel

Represents the style properties for either a shared style or an element with a IStyleModel. A style is defined by a name and a set of style property values. Most styles define values for a small subset of possible values.

A style includes a collection of properties such as font face name, font color, fill color and so on. A property is simply a (name, value) pair. The name identifies the property, and the value is what has been set for the property: "red" or "Arial" or "10 pt." A property value can be blank, meaning that the user has not specified anything for that property.

Each style has a highlight. Each highlight rule has a condition and a set of formatting options to apply if the rule is true. BIRT evaluates each rule in term, and applies the first one that evaluates to true. As a result, the rules need not be mutually exclusive, and the order of the rules matters.

Each style has a map. The map has a condition and a set of rules. A map rule transforms a value in the input into a different value for display. It works best for fields with a limited set of values, such as converting "Y" to "Yes" and "N" to "No". Mappings with many rules are better handled in the data access layer. Another common use of mapping is to convert a null value into a display value, such as "No Data."

See Also:
  `DesignChoiceConstants`

Field Summary

Fields inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`element`

Fields inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`module`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IStyleModel
`BACKGROUND_ATTACHMENT_PROP, BACKGROUND_COLOR_PROP, BACKGROUND_IMAGE_PROP, BACKGROUND_IMAGE_TYPE_PROP, BACKGROUND_POSITION_X_PROP, BACKGROUND_POSITION_Y_PROP, BACKGROUND_REPEAT_PROP, BACKGROUND_SIZE_HEIGHT, BACKGROUND_SIZE_WIDTH, BORDER_BOTTOM_COLOR_PROP, BORDER_BOTTOM_STYLE_PROP, BORDER_BOTTOM_WIDTH_PROP, BORDER_LEFT_COLOR_PROP, BORDER_LEFT_STYLE_PROP, BORDER_LEFT_WIDTH_PROP, BORDER_RIGHT_COLOR_PROP, BORDER_RIGHT_STYLE_PROP, BORDER_RIGHT_WIDTH_PROP, BORDER_TOP_COLOR_PROP, BORDER_TOP_STYLE_PROP, BORDER_TOP_WIDTH_PROP, CAN_SHRINK_PROP, COLOR_PROP, DATE_FORMAT_PROP, DATE_TIME_FORMAT_PROP, DISPLAY_PROP, FONT_FAMILY_PROP, FONT_SIZE_PROP, FONT_STYLE_PROP, FONT_VARIANT_PROP, FONT_WEIGHT_PROP, HIGHLIGHT_RULES_PROP, LETTER_SPACING_PROP, LINE_HEIGHT_PROP, MAP_RULES_PROP, MARGIN_BOTTOM_PROP, MARGIN_LEFT_PROP, MARGIN_RIGHT_PROP, MARGIN_TOP_PROP, MASTER_PAGE_PROP, NUMBER_ALIGN_PROP, NUMBER_FORMAT_PROP, ORPHANS_PROP, OVERFLOW_PROP, PADDING_BOTTOM_PROP, PADDING_LEFT_PROP, PADDING_RIGHT_PROP, PADDING_TOP_PROP, PAGE_BREAK_AFTER_PROP, PAGE_BREAK_BEFORE_PROP, PAGE_BREAK_INSIDE_PROP, SHOW_IF_BLANK_PROP, STRING_FORMAT_PROP, TEXT_ALIGN_PROP, TEXT_DIRECTION_PROP, TEXT_INDENT_PROP, TEXT_LINE_THROUGH_PROP, TEXT_OVERLINE_PROP, TEXT_TRANSFORM_PROP, TEXT_UNDERLINE_PROP, TIME_FORMAT_PROP, VERTICAL_ALIGN_PROP, WHITE_SPACE_PROP, WIDOWS_PROP, WORD_SPACING_PROP`

Fields inherited from interface org.eclipse.birt.report.model.elements.interfaces.IDesignElementModel
`COMMENTS_PROP, CUSTOM_XML_PROP, DISPLAY_NAME_ID_PROP, DISPLAY_NAME_PROP, EVENT_HANDLER_CLASS_PROP, EXTENDS_PROP, FULL_LABEL, ID_SUFFIX, NAME_PROP, NEW_HANDLER_ON_EACH_EVENT_PROP, NO_SLOT, PROPERTY_MASKS_PROP, REF_TEMPLATE_PARAMETER_PROP, SHORT_LABEL, USER_LABEL, USER_PROPERTIES_PROP, VIEW_ACTION_PROP`

Constructor Summary
`StyleHandle(org.eclipse.birt.report.model.core.Module module, org.eclipse.birt.report.model.core.DesignElement element)` Constructs a style handle with the given design and the element..

Method Summary
`boolean` | `canShrink()` Tests whether the section can shrink if the actual content is smaller than the design size.
`java.lang.String` | `getBackgroundAttachment()` Returns a background attachment as a string.
`ColorHandle` | `getBackgroundColor()` Gets a color handle to deal with the background color.
`java.lang.String` | `getBackgroundImage()` Returns the address of the background image.
`java.lang.String` | `getBackgroundImageType()` Returns the type of the background image.
`DimensionHandle` | `getBackGroundPositionX()` Gets a dimension handle to deal with the x position for the background.
`DimensionHandle` | `getBackGroundPositionY()` Gets a dimension handle to deal with the y position for the background.
`java.lang.String` | `getBackgroundRepeat()` Returns the pattern of the repeat for a background image.
`DimensionHandle` | `getBackgroundSizeHeight()` Gets a dimension handle to deal with the size height for the background.
`DimensionHandle` | `getBackgroundSizeWidth()` Gets a dimension handle to deal with the size width for the background.
`ColorHandle` | `getBorderBottomColor()` Gets a color handle to deal with the color of the bottom side of the border.
`java.lang.String` | `getBorderBottomStyle()` Returns the style of the bottom line of the border.
`DimensionHandle` | `getBorderBottomWidth()` Gets a dimension handle to deal with the width of the bottom side of the border.
`ColorHandle` | `getBorderLeftColor()` Gets a color handle to deal with the color of the left side of the border.
`java.lang.String` | `getBorderLeftStyle()` Returns the style of the left line of the border.
`DimensionHandle` | `getBorderLeftWidth()` Gets a dimension handle to deal with the width of the left side of the border.
`ColorHandle` | `getBorderRightColor()` Gets a color handle to deal with the color of the right side of the border.
`java.lang.String` | `getBorderRightStyle()` Returns the style of the right line of the border.
`DimensionHandle` | `getBorderRightWidth()` Gets a dimension handle to deal with the width of the right side of the border.
`ColorHandle` | `getBorderTopColor()` Gets a color handle to deal with the color of the top side of the border.
`java.lang.String` | `getBorderTopStyle()` Returns the style of the top line of the border.
`DimensionHandle` | `getBorderTopWidth()` Gets a dimension handle to deal with the width of the top side of the border.
`ColorHandle` | `getColor()` Gets a color handle to deal with the font color.
`java.lang.String` | `getDateFormat()` Returns the pattern of the date-format.
`java.lang.String` | `getDateFormatCategory()` Returns the category of the date-format.
`java.lang.String` | `getDateTimeFormat()` Returns the pattern of the date-time-format.
`java.lang.String` | `getDateTimeFormatCategory()` Returns the category of the date-time-format.
`java.lang.String` | `getDisplay()` Returns the value that specifies if a top-level element should be a block or in-line element.
`FontHandle` | `getFontFamilyHandle()` Returns the font handle to deal with the font family.
`DimensionHandle` | `getFontSize()` Gets a dimension handle to deal with the font size.
`java.lang.String` | `getFontStyle()` Returns the style of the font.
`java.lang.String` | `getFontVariant()` Returns the variant of the font.
`java.lang.String` | `getFontWeight()` Returns the weight of the font.
`java.lang.String` | `getHighlightTestExpr()` Deprecated.
`DimensionHandle` | `getLetterSpacing()` Gets a dimension handle to deal with the spacing between individual letters.
`DimensionHandle` | `getLineHeight()` Gets a dimension handle to deal with the height of a line.
`java.lang.String` | `getMapTestExpr()` Deprecated.
`DimensionHandle` | `getMarginBottom()` Gets a handle to deal with the margin of the bottom side.
`DimensionHandle` | `getMarginLeft()` Gets a handle to deal with the margin of the left side.
`DimensionHandle` | `getMarginRight()` Gets a handle to deal with the margin of the right side.
`DimensionHandle` | `getMarginTop()` Gets a handle to deal with the margin of the top side.
`java.lang.String` | `getMasterPage()` Returns the name of the master page on which to start this section.
`java.lang.String` | `getNumberFormat()` Returns the pattern of a number format for a IStyleModel.
`java.lang.String` | `getNumberFormatCategory()` Returns the category of a number format for a IStyleModel.
`java.lang.String` | `getOrphans()` Returns the value of orphans.
`java.lang.String` | `getOverflow()` Returns the value of overflow property.
`DimensionHandle` | `getPaddingBottom()` Gets a dimension handle to deal with the padding of the bottom side.
`DimensionHandle` | `getPaddingLeft()` Gets a dimension handle to deal with the padding of the left side.
`DimensionHandle` | `getPaddingRight()` Gets a dimension handle to deal with the padding of the right side.
`DimensionHandle` | `getPaddingTop()` Gets a dimension handle to deal with the padding of the top side.
`java.lang.String` | `getPageBreakAfter()` Returns the page break after property for block-level elements.
`java.lang.String` | `getPageBreakBefore()` Returns the page break before property for block-level elements.
`java.lang.String` | `getPageBreakInside()` Returns the page break inside property for block-level elements.
`java.lang.String` | `getStringFormat()` Returns the pattern of a string format.
`java.lang.String` | `getStringFormatCategory()` Returns the category of a string format.
`java.lang.String` | `getTextAlign()` Returns the text align for block-level elements.
`java.lang.String` | `getTextDirection()` Returns the Bidi direction for elements.
`DimensionHandle` | `getTextIndent()` Gets a dimension handle to deal with the text indent.
`java.lang.String` | `getTextLineThrough()` Returns one 'text-decoration' property to set line-through styles.
`java.lang.String` | `getTextOverline()` Returns one 'text-decoration' property to set overline styles.
`java.lang.String` | `getTextTransform()` Returns the value to transform the text.
`java.lang.String` | `getTextUnderline()` Returns one 'text-decoration' property to set underline styles.
`java.lang.String` | `getTimeFormat()` Returns the pattern of the time-format.
`java.lang.String` | `getTimeFormatCategory()` Returns the category of the time-format.
`java.lang.String` | `getVerticalAlign()` Returns the value of the vertical align property for inline elements.
`java.lang.String` | `getWhiteSpace()` Returns the white space for block elements.
`java.lang.String` | `getWidows()` Returns the value of widows.
`DimensionHandle` | `getWordSpacing()` Gets a dimension handle to deal with the spacing between two words.
`java.util.Iterator` | `highlightRulesIterator()` Returns the iterator of highlight rules.
`boolean` | `isPredefined()` checks whether this style is created by user or predefined by BIRT.
`java.util.Iterator` | `mapRulesIterator()` Returns the iterator for map rules.
`void` | `setBackgroundAttachment(java.lang.String value)` Sets the background attachment.
`void` | `setBackgroundImage(java.lang.String value)` Sets the address of the background image.
`void` | `setBackgroundImageType(java.lang.String type)` Sets the type of the background image.
`void` | `setBackgroundRepeat(java.lang.String value)` Sets the repeat pattern for a background image.
`void` | `setBorderBottomStyle(java.lang.String value)` Sets the style of the bottom line of the border.
`void` | `setBorderLeftStyle(java.lang.String value)` Sets the style of the left line of the border.
`void` | `setBorderRightStyle(java.lang.String value)` Sets the style of the right line of the border.
`void` | `setBorderTopStyle(java.lang.String value)` Sets the style of the top line of the border.
`void` | `setCanShrink(boolean value)` Sets whether the section can shrink if the actual content is smaller than the design size.
`void` | `setDateFormat(java.lang.String pattern)` Sets the pattern of a date time format for a highlight rule.
`void` | `setDateFormatCategory(java.lang.String pattern)` Sets the category of a number format.
`void` | `setDateTimeFormat(java.lang.String pattern)` Sets the pattern of a date time format for a highlight rule.
`void` | `setDateTimeFormatCategory(java.lang.String pattern)` Sets the category of a number format.
`void` | `setDisplay(java.lang.String value)` Sets the value that specifies if a top-level element should be a block or in-line element.
`void` | `setFontStyle(java.lang.String fontStyle)` Sets the style of the font.
`void` | `setFontVariant(java.lang.String fontVariant)` Sets the variant of the font.
`void` | `setFontWeight(java.lang.String fontWeight)` Sets the weight of the font.
`void` | `setHighlightTestExpr(java.lang.String value)` Deprecated.
`void` | `setMapTestExpr(java.lang.String value)` Deprecated.
`void` | `setMasterPage(java.lang.String value)` Sets the master page name on which to start this section.
`void` | `setNumberFormat(java.lang.String pattern)` Sets the pattern of a number format.
`void` | `setNumberFormatCategory(java.lang.String category)` Sets the category of a number format for a highlight rule.
`void` | `setOrphans(java.lang.String value)` Sets the orphans property.
`void` | `setOverflow(java.lang.String value)` Sets the value of overflow property.
`void` | `setPageBreakAfter(java.lang.String value)` Sets the page break after property for block-level elements.
`void` | `setPageBreakBefore(java.lang.String value)` Sets the page break before property for block-level elements.
`void` | `setPageBreakInside(java.lang.String value)` Sets the page break inside property for block-level elements.
`void` | `setShowIfBlank(boolean value)` Sets whether to show this frame even if it is empty, or all its data elements are empty.
`void` | `setStringFormat(java.lang.String pattern)` Sets the pattern of a string format.
`void` | `setStringFormatCategory(java.lang.String pattern)` Sets the category of a string format.
`void` | `setTextAlign(java.lang.String value)` Sets the text align for block-level elements.
`void` | `setTextDirection(java.lang.String value)` Sets the Bidi direction for elements.
`void` | `setTextLineThrough(java.lang.String value)` Sets one 'text-decoration' property to set line-through styles.
`void` | `setTextOverline(java.lang.String value)` Sets one 'text-decoration' property to set overline styles.
`void` | `setTextTransform(java.lang.String value)` Sets the value used to transform the text.
`void` | `setTextUnderline(java.lang.String value)` Sets one 'text-decoration' property to set underline styles.
`void` | `setTimeFormat(java.lang.String pattern)` Sets the pattern of a date time format for a highlight rule.
`void` | `setTimeFormatCategory(java.lang.String pattern)` Sets the category of a number format.
`void` | `setVerticalAlign(java.lang.String value)` Sets the value of the vertical align property for inline elements.
`void` | `setWhiteSpace(java.lang.String value)` Sets the white space property for block elements.
`void` | `setWidows(java.lang.String value)` Sets the widows property.
`boolean` | `showIfBlank()` Tests whether to show this frame even if it is empty, or all its data elements are empty.

Methods inherited from class org.eclipse.birt.report.model.api.ReportElementHandle
`getComments, getCustomXml, getDisplayName, getDisplayNameKey, getElement, getPropertyMask, isValidLayoutForCompoundElement, isValidReferenceForCompoundElement, propertyMaskIterator, setComments, setCustomXml, setDisplayName, setDisplayNameKey, setPropertyMask`

Methods inherited from class org.eclipse.birt.report.model.api.DesignElementHandle
`add, add, addElement, addElement, addListener, addUserPropertyDefn, cachePropertyHandles, canContain, canContain, canContain, canContain, canDrop, canEdit, canTransformToTemplate, clearAllProperties, clearContents, clearProperty, clientsIterator, copy, copyPropertyTo, createTemplateElement, derivedIterator, doSort, drop, drop, drop, dropAndClear, dropAndClear, dropAndClear, dropUserPropertyDefn, findContentSlot, getBooleanProperty, getChoices, getColorProperty, getContainer, getContainerPropertyHandle, getContainerSlotHandle, getContent, getContentCount, getContents, getDefn, getDesign, getDesignHandle, getDimensionProperty, getDisplayLabel, getDisplayLabel, getDisplayProperty, getEffectiveModule, getElementFactory, getElementProperty, getEventHandlerClass, getExpressionProperty, getExtends, getExternalizedValue, getExternalizedValue, getExternalizedValue, getFactoryElementHandle, getFactoryPropertyHandle, getFloatProperty, getFontProperty, getFullName, getHostViewHandle, getID, getIndex, getIntProperty, getListProperty, getListProperty, getMethods, getModule, getModuleHandle, getName, getNumberProperty, getPrivateStyle, getProperty, getPropertyBinding, getPropertyBindingExpression, getPropertyBindings, getPropertyDefn, getPropertyHandle, getPropertyIterator, getQualifiedName, getRoot, getSemanticErrors, getSlot, getStringProperty, getStyle, getUserProperties, getUserPropertyDefnHandle, getXPath, hasLocalProperties, hasSemanticError, initializeSlotHandles, isDirectionRTL, isInTemplateParameter, isTemplateParameterValue, isValid, localize, move, move, moveTo, moveTo, moveTo, moveTo, newHandlerOnEachEvent, paste, paste, paste, paste, removeListener, revertToReportItem, revertToTemplate, semanticCheck, setBooleanProperty, setEncryption, setEventHandlerClass, setExpressionProperty, setExtends, setExtendsElement, setExtendsName, setFloatProperty, setIntProperty, setName, setNewHandlerOnEachEvent, setNumberProperty, setProperties, setProperty, setPropertyBinding, setPropertyBinding, setStringProperty, setStyle, setStyleElement, setStyleName, setValid, shift, showError, slotsIterator`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### StyleHandle

    public StyleHandle(org.eclipse.birt.report.model.core.Module module,
                       org.eclipse.birt.report.model.core.DesignElement element)

  Constructs a style handle with the given design and the element.. The application generally does not create handles directly. Instead, it uses one of the navigation methods available on other element handles.

  Parameters:
    `module` - the module
    `element` - the model representation of the element

Method Detail

### getBackgroundAttachment

    public java.lang.String getBackgroundAttachment()

  Returns a background attachment as a string. The return value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_ATTACHMENT_SCROLL
  - BACKGROUND_ATTACHMENT_FIXED

  Returns:
    the background attachment

### setBackgroundAttachment

    public void setBackgroundAttachment(java.lang.String value)
                                 throws SemanticException

  Sets the background attachment. The return value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_ATTACHMENT_SCROLL
  - BACKGROUND_ATTACHMENT_FIXED

  Parameters:
    `value` - the new background attachment
  Throws:
    `SemanticException` - if the value is not one of the above.

### getBackgroundImage

    public java.lang.String getBackgroundImage()

  Returns the address of the background image.

  Returns:
    the address of the background image as a string

### setBackgroundImage

    public void setBackgroundImage(java.lang.String value)
                            throws SemanticException

  Sets the address of the background image. The value is a URL as a string.

  Parameters:
    `value` - the new background image address
  Throws:
    `SemanticException` - if the property is locked

### getBackgroundRepeat

    public java.lang.String getBackgroundRepeat()

  Returns the pattern of the repeat for a background image. The return value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_REPEAT_REPEAT
  - BACKGROUND_REPEAT_REPEAT_X
  - BACKGROUND_REPEAT_REPEAT_Y
  - BACKGROUND_REPEAT_NO_REPEAT

  Returns:
    the repeat pattern

### setBackgroundRepeat

    public void setBackgroundRepeat(java.lang.String value)
                             throws SemanticException

  Sets the repeat pattern for a background image. The input value is defined in `DesignChoiceConstants` and can be one of:
  - BACKGROUND_REPEAT_REPEAT
  - BACKGROUND_REPEAT_REPEAT_X
  - BACKGROUND_REPEAT_REPEAT_Y
  - BACKGROUND_REPEAT_NO_REPEAT

  Parameters:
    `value` - the new repeat pattern
  Throws:
    `SemanticException` - if the value is not one of the above.

### getBorderBottomStyle

    public java.lang.String getBorderBottomStyle()

  Returns the style of the bottom line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the bottom line

### setBorderBottomStyle

    public void setBorderBottomStyle(java.lang.String value)
                              throws SemanticException

  Sets the style of the bottom line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the bottom line
  Throws:
    `SemanticException` - if the value is not one of the above.

### getBorderLeftStyle

    public java.lang.String getBorderLeftStyle()

  Returns the style of the left line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the left line

### setBorderLeftStyle

    public void setBorderLeftStyle(java.lang.String value)
                            throws SemanticException

  Sets the style of the left line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the left line
  Throws:
    `SemanticException` - if the value is not one of the above.

### getBorderRightStyle

    public java.lang.String getBorderRightStyle()

  Returns the style of the right line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the right line

### setBorderRightStyle

    public void setBorderRightStyle(java.lang.String value)
                             throws SemanticException

  Sets the style of the right line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the right line
  Throws:
    `SemanticException` - if the value is not one of the above.

### getBorderTopStyle

    public java.lang.String getBorderTopStyle()

  Returns the style of the top line of the border. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Returns:
    the style of the top line

### setBorderTopStyle

    public void setBorderTopStyle(java.lang.String value)
                           throws SemanticException

  Sets the style of the top line of the border. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `LINE_STYLE_NONE`
  - `LINE_STYLE_SOLID`
  - `LINE_STYLE_DOTTED`
  - `LINE_STYLE_DASHED`
  - `LINE_STYLE_DOUBLE`
  - `LINE_STYLE_GROOVE`
  - `LINE_STYLE_RIDGE`
  - `LINE_STYLE_INSET`
  - `LINE_STYLE_OUTSET`

  Parameters:
    `value` - the new style of the right line
  Throws:
    `SemanticException` - if the value is not one of the above.

### canShrink

    public boolean canShrink()

  Tests whether the section can shrink if the actual content is smaller than the design size.

  Returns:
    `true` if can shrink, otherwise `false`
  See Also:
    `setCanShrink(boolean)`

### setCanShrink

    public void setCanShrink(boolean value)
                      throws SemanticException

  Sets whether the section can shrink if the actual content is smaller than the design size.

  Parameters:
    `value` - `true` if can shrink, `false` not.
  Throws:
    `SemanticException` - if the property is locked
  See Also:
    `canShrink()`

### getStringFormat

    public java.lang.String getStringFormat()

  Returns the pattern of a string format.

  Returns:
    the pattern of a string format

### getStringFormatCategory

    public java.lang.String getStringFormatCategory()

  Returns the category of a string format.

  Returns:
    the category of a string format

### setStringFormat

    public void setStringFormat(java.lang.String pattern)
                         throws SemanticException

  Sets the pattern of a string format.

  Parameters:
    `pattern` - the pattern of a string forma
  Throws:
    `SemanticException` - if the property is locked

### setStringFormatCategory

    public void setStringFormatCategory(java.lang.String pattern)
                                 throws SemanticException

  Sets the category of a string format. The `pattern` can be one of:
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_UPPERCASE`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_LOWERCASE`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_CUSTOM`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_ZIP_CODE`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_ZIP_CODE_4`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_PHONE_NUMBER`
  - `DesignChoiceConstants.STRING_FORMAT_TYPE_SOCIAL_SECURITY_NUMBER`

  Parameters:
    `pattern` - the category of a string format
  Throws:
    `SemanticException` - if `pattern` is not one of the above values.

### getNumberFormat

    public java.lang.String getNumberFormat()

  Returns the pattern of a number format for a IStyleModel.

  Returns:
    the pattern of a number format

### getNumberFormatCategory

    public java.lang.String getNumberFormatCategory()

  Returns the category of a number format for a IStyleModel.

  Returns:
    the category of a number format

### setNumberFormat

    public void setNumberFormat(java.lang.String pattern)
                         throws SemanticException

  Sets the pattern of a number format.

  Parameters:
    `pattern` - the pattern of a number format
  Throws:
    `SemanticException` - if the property is locked

### setNumberFormatCategory

    public void setNumberFormatCategory(java.lang.String category)
                                 throws SemanticException

  Sets the category of a number format for a highlight rule. The `pattern` can be one of:
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_GENERAL_NUMBER`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_CURRENCY`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_FIXED`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_PERCENT`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_SCIENTIFIC`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_STANDARD`
  - `DesignChoiceConstants.NUMBER_FORMAT_TYPE_CUSTOM`

  Parameters:
    `category` - the category of a number format
  Throws:
    `SemanticException` - if `category` is not one of the above values.

### getDateFormat

    public java.lang.String getDateFormat()

  Returns the pattern of the date-format.

  Returns:
    the pattern of the date-format

### getDateFormatCategory

    public java.lang.String getDateFormatCategory()

  Returns the category of the date-format.

  Returns:
    the category of the date-format

### getTimeFormat

    public java.lang.String getTimeFormat()

  Returns the pattern of the time-format.

  Returns:
    the pattern of the time-format

### getTimeFormatCategory

    public java.lang.String getTimeFormatCategory()

  Returns the category of the time-format.

  Returns:
    the category of the time-format

### getDateTimeFormat

    public java.lang.String getDateTimeFormat()

  Returns the pattern of the date-time-format.

  Returns:
    the pattern of the date-time-format

### getDateTimeFormatCategory

    public java.lang.String getDateTimeFormatCategory()

  Returns the category of the date-time-format.

  Returns:
    the category of the date-time-format

### setDateTimeFormat

    public void setDateTimeFormat(java.lang.String pattern)
                           throws SemanticException

  Sets the pattern of a date time format for a highlight rule.

  Parameters:
    `pattern` - the pattern of a date time format
  Throws:
    `SemanticException` - if the property is locked

### setDateTimeFormatCategory

    public void setDateTimeFormatCategory(java.lang.String pattern)
                                   throws SemanticException

  Sets the category of a number format. The `pattern` can be one of:
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_GENERAL_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_LONG_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_MUDIUM_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_SHORT_DATE`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_LONG_TIME`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_MEDIUM_TIME`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_SHORT_TIME`
  - `DesignChoiceConstants.DATETIEM_FORMAT_TYPE_CUSTOM`

  Parameters:
    `pattern` - the category of a date-time format
  Throws:
    `SemanticException` - if `pattern` is not one of the above values.

### setDateFormat

    public void setDateFormat(java.lang.String pattern)
                       throws SemanticException

  Sets the pattern of a date time format for a highlight rule.

  Parameters:
    `pattern` - the pattern of a date time format
  Throws:
    `SemanticException` - if the property is locked

### setDateFormatCategory

    public void setDateFormatCategory(java.lang.String pattern)
                               throws SemanticException

  Sets the category of a number format. The `pattern` can be one of:
  - `DesignChoiceConstants.DATE_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.DATE_FORMAT_TYPE_GENERAL_DATE`
  - `DesignChoiceConstants.DATE_FORMAT_TYPE_LONG_DATE`
  - `DesignChoiceConstants.DATE_FORMAT_TYPE_MUDIUM_DATE`
  - `DesignChoiceConstants.DATE_FORMAT_TYPE_SHORT_DATE`
  - `DesignChoiceConstants.DATE_FORMAT_TYPE_CUSTOM`

  Parameters:
    `pattern` - the category of a date-time format
  Throws:
    `SemanticException` - if `pattern` is not one of the above values.

### setTimeFormat

    public void setTimeFormat(java.lang.String pattern)
                       throws SemanticException

  Sets the pattern of a date time format for a highlight rule.

  Parameters:
    `pattern` - the pattern of a date time format
  Throws:
    `SemanticException` - if the property is locked

### setTimeFormatCategory

    public void setTimeFormatCategory(java.lang.String pattern)
                               throws SemanticException

  Sets the category of a number format. The `pattern` can be one of:
  - `DesignChoiceConstants.TIME_FORMAT_TYPE_UNFORMATTED`
  - `DesignChoiceConstants.TIME_FORMAT_TYPE_LONG_TIME`
  - `DesignChoiceConstants.TIME_FORMAT_TYPE_MEDIUM_TIME`
  - `DesignChoiceConstants.TIME_FORMAT_TYPE_SHORT_TIME`
  - `DesignChoiceConstants.TIME_FORMAT_TYPE_CUSTOM`

  Parameters:
    `pattern` - the category of a date-time format
  Throws:
    `SemanticException` - if `pattern` is not one of the above values.

### getDisplay

    public java.lang.String getDisplay()

  Returns the value that specifies if a top-level element should be a block or in-line element. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `DISPLAY_NONE`
  - `DISPLAY_INLINE`
  - `DISPLAY_BLOCK`

  Returns:
    the display value as a string

### setDisplay

    public void setDisplay(java.lang.String value)
                    throws SemanticException

  Sets the value that specifies if a top-level element should be a block or in-line element. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `DISPLAY_NONE`
  - `DISPLAY_INLINE`
  - `DISPLAY_BLOCK`

  Parameters:
    `value` - the new display value
  Throws:
    `SemanticException` - if the value is not one of the above.

### getMasterPage

    public java.lang.String getMasterPage()

  Returns the name of the master page on which to start this section.

  Returns:
    the master page name
  See Also:
    `setMasterPage(String)`

### setMasterPage

    public void setMasterPage(java.lang.String value)
                       throws SemanticException

  Sets the master page name on which to start this section. If blank, the normal page sequence is used. If defined, the section starts on a new page, and the master page is the one defined here. The subsequent pages are those defined by the report��s page sequence.

  Parameters:
    `value` - the new master page name
  Throws:
    `SemanticException` - if the property is locked
  See Also:
    `getMasterPage()`

### getOrphans

    public java.lang.String getOrphans()

  Returns the value of orphans. The return value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `ORPHANS_INHERIT`

  Returns:
    the orphans property
  See Also:
    `setOrphans(String)`

### setOrphans

    public void setOrphans(java.lang.String value)
                    throws SemanticException

  Sets the orphans property. A orphan occurs if the first line of a multi-line paragraph appears on its own at the bottom of a page due to a page break. The input value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `ORPHANS_INHERIT`

  Parameters:
    `value` - the new orphans property
  Throws:
    `SemanticException` - if the value is not an integer or one of the above constants.
  See Also:
    `getOrphans()`

### getPageBreakAfter

    public java.lang.String getPageBreakAfter()

  Returns the page break after property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Returns:
    the page break after property

### setPageBreakAfter

    public void setPageBreakAfter(java.lang.String value)
                           throws SemanticException

  Sets the page break after property for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Parameters:
    `value` - the new page break after property
  Throws:
    `SemanticException` - if the value is not pre-defined.

### getPageBreakBefore

    public java.lang.String getPageBreakBefore()

  Returns the page break before property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Returns:
    the page break before property

### setPageBreakBefore

    public void setPageBreakBefore(java.lang.String value)
                            throws SemanticException

  Sets the page break before property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGE_BREAK_AUTO`
  - `PAGE_BREAK_ALWAYS`
  - `PAGE_BREAK_AVOID`
  - `PAGE_BREAK_LEFT`
  - `PAGE_BREAK_RIGHT`
  - `PAGE_BREAK_INHERIT`

  Parameters:
    `value` - the new page break before property
  Throws:
    `SemanticException` - if the value is not one of the above.

### getPageBreakInside

    public java.lang.String getPageBreakInside()

  Returns the page break inside property for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `PAGEBREAK_INSIDE_AVOID`
  - `PAGEBREAK_INSIDE_AUTO`
  - `PAGEBREAK_INSIDE_INHERIT`

  Returns:
    the page break inside property

### setPageBreakInside

    public void setPageBreakInside(java.lang.String value)
                            throws SemanticException

  Sets the page break inside property for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `PAGEBREAK_INSIDE_AVOID`
  - `PAGEBREAK_INSIDE_AUTO`
  - `PAGEBREAK_INSIDE_INHERIT`

  Parameters:
    `value` - the new page break inside property
  Throws:
    `SemanticException` - if the value is not one of the above.

### showIfBlank

    public boolean showIfBlank()

  Tests whether to show this frame even if it is empty, or all its data elements are empty. If `false`, the section is automatically hidden when empty.

  Returns:
    `true` if show-if-blank, otherwise `false`
  See Also:
    `setShowIfBlank(boolean)`

### setShowIfBlank

    public void setShowIfBlank(boolean value)
                        throws SemanticException

  Sets whether to show this frame even if it is empty, or all its data elements are empty.

  Parameters:
    `value` - `true` if show the frame. `false` not.
  Throws:
    `SemanticException` - if the property is locked
  See Also:
    `showIfBlank()`

### getTextUnderline

    public java.lang.String getTextUnderline()

  Returns one 'text-decoration' property to set underline styles. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_UNDERLINE_NONE`
  - `TEXT_UNDERLINE_UNDERLINE`

  Returns:
    the text underline value

### setTextUnderline

    public void setTextUnderline(java.lang.String value)
                          throws SemanticException

  Sets one 'text-decoration' property to set underline styles. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_UNDERLINE_NONE`
  - `TEXT_UNDERLINE_UNDERLINE`

  Parameters:
    `value` - the new text underline
  Throws:
    `SemanticException` - if the value is not pre-defined.

### getTextOverline

    public java.lang.String getTextOverline()

  Returns one 'text-decoration' property to set overline styles. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_OVERLINE_NONE`
  - `TEXT_OVERLINE_OVERLINE`

  Returns:
    the text overline value

### setTextOverline

    public void setTextOverline(java.lang.String value)
                         throws SemanticException

  Sets one 'text-decoration' property to set overline styles. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_OVERLINE_NONE`
  - `TEXT_OVERLINE_OVERLINE`

  Parameters:
    `value` - the new text overline value
  Throws:
    `SemanticException` - if the value is not one of the above.

### getTextLineThrough

    public java.lang.String getTextLineThrough()

  Returns one 'text-decoration' property to set line-through styles. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_LINE_THROUGH_NONE`
  - `TEXT_LINE_THROUGH_LINE_THROUGH`

  Returns:
    the text line-through value

### setTextLineThrough

    public void setTextLineThrough(java.lang.String value)
                            throws SemanticException

  Sets one 'text-decoration' property to set line-through styles. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_LINE_THROUGH_NONE`
  - `TEXT_LINE_THROUGH_LINE_THROUGH`

  Parameters:
    `value` - the new text line-through value
  Throws:
    `SemanticException` - if the value is not one of the above.

### getTextAlign

    public java.lang.String getTextAlign()

  Returns the text align for block-level elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_ALIGN_LEFT`
  - `TEXT_ALIGN_CENTER`
  - `TEXT_ALIGN_RIGHT`
  - `TEXT_ALIGN_JUSTIFY`

  Returns:
    the text align value

### setTextAlign

    public void setTextAlign(java.lang.String value)
                      throws SemanticException

  Sets the text align for block-level elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TEXT_ALIGN_LEFT`
  - `TEXT_ALIGN_CENTER`
  - `TEXT_ALIGN_RIGHT`
  - `TEXT_ALIGN_JUSTIFY`

  Parameters:
    `value` - the new text align
  Throws:
    `SemanticException` - if the value is not one of the above.

### getTextTransform

    public java.lang.String getTextTransform()

  Returns the value to transform the text. The return value is one of constants defined in `DesignChoiceConstants`:
  - `TRANSFORM_CAPITALIZE`
  - `TRANSFORM_UPPERCASE`
  - `TRANSFORM_LOWERCASE`
  - `TRANSFORM_NONE`

  Returns:
    the text transform

### setTextTransform

    public void setTextTransform(java.lang.String value)
                          throws SemanticException

  Sets the value used to transform the text. The input value is one of constants defined in `DesignChoiceConstants`:
  - `TRANSFORM_CAPITALIZE`
  - `TRANSFORM_UPPERCASE`
  - `TRANSFORM_LOWERCASE`
  - `TRANSFORM_NONE`

  Parameters:
    `value` - the new text transform
  Throws:
    `SemanticException` - if the value is not one of the above.

### getVerticalAlign

    public java.lang.String getVerticalAlign()

  Returns the value of the vertical align property for inline elements. The return value is defined in `DesignChoiceConstants` and can be one of:
  - VERTICAL_ALIGN_BASELINE
  - VERTICAL_ALIGN_SUB
  - VERTICAL_ALIGN_SUPER
  - VERTICAL_ALIGN_TOP
  - VERTICAL_ALIGN_TEXT_TOP
  - VERTICAL_ALIGN_MIDDLE
  - VERTICAL_ALIGN_BOTTOM
  - VERTICAL_ALIGN_TEXT_BOTTOM

  Returns:
    the value of the vertical align property

### setVerticalAlign

    public void setVerticalAlign(java.lang.String value)
                          throws SemanticException

  Sets the value of the vertical align property for inline elements. The input value is defined in `DesignChoiceConstants` and can be one of:
  - VERTICAL_ALIGN_BASELINE
  - VERTICAL_ALIGN_SUB
  - VERTICAL_ALIGN_SUPER
  - VERTICAL_ALIGN_TOP
  - VERTICAL_ALIGN_TEXT_TOP
  - VERTICAL_ALIGN_MIDDLE
  - VERTICAL_ALIGN_BOTTOM
  - VERTICAL_ALIGN_TEXT_BOTTOM

  Parameters:
    `value` - the new vertical align
  Throws:
    `SemanticException` - if the value is not one of the above.

### getWhiteSpace

    public java.lang.String getWhiteSpace()

  Returns the white space for block elements. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `WHITE_SPACE_NORMAL`
  - `WHITE_SPACE_PRE`
  - `WHITE_SPACE_NOWRAP`

  Returns:
    the white space

### setWhiteSpace

    public void setWhiteSpace(java.lang.String value)
                       throws SemanticException

  Sets the white space property for block elements. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `WHITE_SPACE_NORMAL`
  - `WHITE_SPACE_PRE`
  - `WHITE_SPACE_NOWRAP`

  Parameters:
    `value` - the new white space
  Throws:
    `SemanticException` - if the value is not one of the above.

### getWidows

    public java.lang.String getWidows()

  Returns the value of widows. The return value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `WIDOWS_INHERIT`

  Returns:
    the widows property
  See Also:
    `setWidows(String)`

### setWidows

    public void setWidows(java.lang.String value)
                   throws SemanticException

  Sets the widows property. A ��widow�� occurs when the last line of a multi-line paragraph appears on its own at the top of a page due to a page break. The input value is either an integer as as string or one of constants defined in `DesignChoiceConstants`:
  - `WIDOWS_INHERIT`

  Parameters:
    `value` - the new windows property
  Throws:
    `SemanticException` - if the value is not an integer or one of the above constants.
  See Also:
    `getWidows()`

### getMapTestExpr

    public java.lang.String getMapTestExpr()

  Deprecated.

  Returns the test expression for the map.

  Returns:
    the map test expression

### setMapTestExpr

    public void setMapTestExpr(java.lang.String value)
                        throws SemanticException

  Deprecated.

  Sets the test expression for the map.

  Parameters:
    `value` - the value of new map test expression
  Throws:
    `SemanticException` - if the expression is invalid.

### mapRulesIterator

    public java.util.Iterator mapRulesIterator()

  Returns the iterator for map rules. The element in the iterator is the corresponding `StructureHandle` that deal with a `MapRule` in the list.

  Returns:
    the iterator of map rule structure list

### getHighlightTestExpr

    public java.lang.String getHighlightTestExpr()

  Deprecated.

  Returns the test expression for the highlight.

  Returns:
    the highlight test expression

### setHighlightTestExpr

    public void setHighlightTestExpr(java.lang.String value)
                              throws SemanticException

  Deprecated.

  Sets the highlight test expression.

  Parameters:
    `value` - the value of new highlight test expression
  Throws:
    `SemanticException` - if the expression is invalid.

### highlightRulesIterator

    public java.util.Iterator highlightRulesIterator()

  Returns the iterator of highlight rules. The element in the iterator is the corresponding `HighlightRuleHandle` that deal with a `HighRule`.

  Returns:
    the iterator of highlight rule structure list

### getColor

    public ColorHandle getColor()

  Gets a color handle to deal with the font color.

  Returns:
    a ColorHandle to for the font color

### getBackgroundColor

    public ColorHandle getBackgroundColor()

  Gets a color handle to deal with the background color.

  Returns:
    a ColorHandle for the background color.

### getBorderTopColor

    public ColorHandle getBorderTopColor()

  Gets a color handle to deal with the color of the top side of the border.

  Returns:
    a ColorHandle to for the color of the top side of the border

### getBorderLeftColor

    public ColorHandle getBorderLeftColor()

  Gets a color handle to deal with the color of the left side of the border.

  Returns:
    a ColorHandle to for the color of the left side of the border

### getBorderRightColor

    public ColorHandle getBorderRightColor()

  Gets a color handle to deal with the color of the right side of the border.

  Returns:
    a ColorHandle to for the color of the right side of the border

### getBorderBottomColor

    public ColorHandle getBorderBottomColor()

  Gets a color handle to deal with the color of the bottom side of the border.

  Returns:
    a ColorHandle to for the color of the bottom side of the border

### getBackGroundPositionX

    public DimensionHandle getBackGroundPositionX()

  Gets a dimension handle to deal with the x position for the background. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `SECTION_ALIGN_LEFT`
  - `SECTION_ALIGN_CENTER`
  - `SECTION_ALIGN_RIGHT`

  Returns:
    a DimensionHandle for the x position

### getBackGroundPositionY

    public DimensionHandle getBackGroundPositionY()

  Gets a dimension handle to deal with the y position for the background. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `BACKGROUND_POSITION_TOP`
  - `BACKGROUND_POSITION_CENTER`
  - `BACKGROUND_POSITION_BOTTOM`

  Returns:
    a DimensionHandle for the y position

### getLetterSpacing

    public DimensionHandle getLetterSpacing()

  Gets a dimension handle to deal with the spacing between individual letters. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `NORMAL_NORMAL`

  Returns:
    a DimensionHandle for the spacing between individual letters

### getLineHeight

    public DimensionHandle getLineHeight()

  Gets a dimension handle to deal with the height of a line. Implies spacing between lines. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns` :
  - `NORMAL_NORMAL`

  Returns:
    a DimensionHandle for the line height.

### getTextIndent

    public DimensionHandle getTextIndent()

  Gets a dimension handle to deal with the text indent.

  Returns:
    a DimensionHandle for the text indent.

### getWordSpacing

    public DimensionHandle getWordSpacing()

  Gets a dimension handle to deal with the spacing between two words. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `NORMAL_NORMAL`

  Returns:
    a DimensionHandle to deal with the spacing among words.

### getBorderTopWidth

    public DimensionHandle getBorderTopWidth()

  Gets a dimension handle to deal with the width of the top side of the border. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`

  Returns:
    a DimensionHandle for the width of the top side of the border

### getBorderLeftWidth

    public DimensionHandle getBorderLeftWidth()

  Gets a dimension handle to deal with the width of the left side of the border. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`

  Returns:
    a DimensionHandle for the width of the left side of the border

### getBorderRightWidth

    public DimensionHandle getBorderRightWidth()

  Gets a dimension handle to deal with the width of the right side of the border. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`

  Returns:
    a DimensionHandle for the width of the right side of the border

### getBorderBottomWidth

    public DimensionHandle getBorderBottomWidth()

  Gets a dimension handle to deal with the width of the bottom side of the border. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `LINE_WIDTH_THIN`
  - `LINE_WIDTH_MEDIUM`
  - `LINE_WIDTH_THICK`

  Returns:
    a DimensionHandle for the width of the bottom side of the border

### getMarginTop

    public DimensionHandle getMarginTop()

  Gets a handle to deal with the margin of the top side. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `MARGIN_AUTO`

  Returns:
    a DimensionHandle for the margin of the top side

### getMarginRight

    public DimensionHandle getMarginRight()

  Gets a handle to deal with the margin of the right side. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `MARGIN_AUTO`

  Returns:
    a DimensionHandle for the margin of the right side

### getMarginLeft

    public DimensionHandle getMarginLeft()

  Gets a handle to deal with the margin of the left side. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `MARGIN_AUTO`

  Returns:
    a DimensionHandle for the margin of the left side

### getMarginBottom

    public DimensionHandle getMarginBottom()

  Gets a handle to deal with the margin of the bottom side. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstatns`:
  - `MARGIN_AUTO`

  Returns:
    a DimensionHandle for the margin of the bottom side

### getPaddingTop

    public DimensionHandle getPaddingTop()

  Gets a dimension handle to deal with the padding of the top side.

  Returns:
    a DimensionHandle for the padding of the top side

### getPaddingRight

    public DimensionHandle getPaddingRight()

  Gets a dimension handle to deal with the padding of the right side.

  Returns:
    a DimensionHandle for the padding of the right side

### getPaddingLeft

    public DimensionHandle getPaddingLeft()

  Gets a dimension handle to deal with the padding of the left side.

  Returns:
    a DimensionHandle for the padding of the left side

### getPaddingBottom

    public DimensionHandle getPaddingBottom()

  Gets a dimension handle to deal with the padding of the bottom side.

  Returns:
    a DimensionHandle for the padding of the bottom side

### getFontSize

    public DimensionHandle getFontSize()

  Gets a dimension handle to deal with the font size.

  Returns:
    a DimensionHandle for the font size.

### getFontFamilyHandle

    public FontHandle getFontFamilyHandle()

  Returns the font handle to deal with the font family.

  Returns:
    a FontHandle for the font family.
  See Also:
    `FontHandle`

### getFontWeight

    public java.lang.String getFontWeight()

  Returns the weight of the font. The return value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_WEIGHT_NORMAL`
  - `FONT_WEIGHT_BOLD`
  - `FONT_WEIGHT_BOLDER`
  - `FONT_WEIGHT_LIGHTER`
  - `FONT_WEIGHT_100`
  - `FONT_WEIGHT_200`
  - `FONT_WEIGHT_300`
  - `FONT_WEIGHT_400`
  - `FONT_WEIGHT_500`
  - `FONT_WEIGHT_600`
  - `FONT_WEIGHT_700`
  - `FONT_WEIGHT_800`
  - `FONT_WEIGHT_900`

  Returns:
    the font weight in a string

### setFontWeight

    public void setFontWeight(java.lang.String fontWeight)
                       throws SemanticException

  Sets the weight of the font. The input value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_WEIGHT_NORMAL`
  - `FONT_WEIGHT_BOLD`
  - `FONT_WEIGHT_BOLDER`
  - `FONT_WEIGHT_LIGHTER`
  - `FONT_WEIGHT_100`
  - `FONT_WEIGHT_200`
  - `FONT_WEIGHT_300`
  - `FONT_WEIGHT_400`
  - `FONT_WEIGHT_500`
  - `FONT_WEIGHT_600`
  - `FONT_WEIGHT_700`
  - `FONT_WEIGHT_800`
  - `FONT_WEIGHT_900`

  Parameters:
    `fontWeight` - the new font weight
  Throws:
    `SemanticException` - if the input value is not one of the above.

### getFontVariant

    public java.lang.String getFontVariant()

  Returns the variant of the font. The return value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_VARIANT_NORMAL`
  - `FONT_VARIANT_SMALL_CAPS`

  Returns:
    the font variant in a string.

### setFontVariant

    public void setFontVariant(java.lang.String fontVariant)
                        throws SemanticException

  Sets the variant of the font. The input value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_VARIANT_NORMAL`
  - `FONT_VARIANT_SMALL_CAPS`

  Parameters:
    `fontVariant` - the new font variant.
  Throws:
    `SemanticException` - if the input value is not one of the above.

### getFontStyle

    public java.lang.String getFontStyle()

  Returns the style of the font. The return value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_STYLE_NORMAL`
  - `FONT_STYLE_ITALIC`
  - `FONT_STYLE_OBLIQUE`

  Returns:
    the font style in string.

### setFontStyle

    public void setFontStyle(java.lang.String fontStyle)
                      throws SemanticException

  Sets the style of the font. The input value is one of constants defined in `DesignChoiceConstants`:
  - `FONT_STYLE_NORMAL`
  - `FONT_STYLE_ITALIC`
  - `FONT_STYLE_OBLIQUE`

  Parameters:
    `fontStyle` - the new font IStyleModel.
  Throws:
    `SemanticException` - if the input value is not one of the above.

### isPredefined

    public boolean isPredefined()

  checks whether this style is created by user or predefined by BIRT.

  Returns:
    True if is predefined, false if not.

### getTextDirection

    public java.lang.String getTextDirection()

  Returns the Bidi direction for elements. The return value is one of constants defined in `DesignChoiceConstants`:
  - `BIDI_ORIENTATION_RTL`
  - `BIDI_ORIENTATION_LTR`

  Returns:
    the direction value

### setTextDirection

    public void setTextDirection(java.lang.String value)
                          throws SemanticException

  Sets the Bidi direction for elements. The input value is one of constants defined in `DesignChoiceConstants`:
  - `BIDI_ORIENTATION_RTL`
  - `BIDI_ORIENTATION_LTR`

  Parameters:
    `value` - the new direction
  Throws:
    `SemanticException` - if the value is not one of the above.

### getBackgroundSizeHeight

    public DimensionHandle getBackgroundSizeHeight()

  Gets a dimension handle to deal with the size height for the background. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstants`:
  - `BACKGROUND_SIZE_AUTO`
  - `BACKGROUND_SIZE_CONTAIN`
  - `BACKGROUND_SIZE_COVER`

  Returns:
    a DimensionHandle for the background size height.

### getBackgroundSizeWidth

    public DimensionHandle getBackgroundSizeWidth()

  Gets a dimension handle to deal with the size width for the background. Besides the dimension value, the dimension handle may return one of constants defined in `DesignChoiceConstants`:
  - `BACKGROUND_SIZE_AUTO`
  - `BACKGROUND_SIZE_CONTAIN`
  - `BACKGROUND_SIZE_COVER`

  Returns:
    a DimensionHandle for the background size width.

### getBackgroundImageType

    public java.lang.String getBackgroundImageType()

  Returns the type of the background image. The method may return one of constants defined in `DesignChoiceConstants`:
  - `IMAGE_REF_TYPE_URL`
  - `IMAGE_REF_TYPE_EMBED`

  Returns:
    the type of the background image as a string

### setBackgroundImageType

    public void setBackgroundImageType(java.lang.String type)
                                throws SemanticException

  Sets the type of the background image. The value should be one of constants defined in `DesignChoiceConstants`:
  - `IMAGE_REF_TYPE_URL`
  - `IMAGE_REF_TYPE_EMBED`

  Parameters:
    `type` - the new type of the background image
  Throws:
    `SemanticException` - if the given type is not defined

### getOverflow

    public java.lang.String getOverflow()

  Returns the value of overflow property. The return value is defined in `DesignChoiceConstants` and can be one of:
  - `OVERFLOW_AUTO`
  - `OVERFLOW_HIDDEN`
  - `OVERFLOW_SCROLL`
  - `OVERFLOW_VISIBLE`

  Returns:
    the value of overflow property.

### setOverflow

    public void setOverflow(java.lang.String value)
                     throws SemanticException

  Sets the value of overflow property. The input value is defined in `DesignChoiceConstants` and can be one of:
  - `OVERFLOW_AUTO`
  - `OVERFLOW_HIDDEN`
  - `OVERFLOW_SCROLL`
  - `OVERFLOW_VISIBLE`

  Parameters:
    `value` - the new overflow value
  Throws:
    `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.